Company & Initiatives
Company context, structure, metadata, and the initiatives rail.
- Audience
- Developer
- Truth
- Mixed sources
- Surface
- API
- Status
- Active
Related documentation: Developer documentation
Authorization
BearerAuth API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Query Parameters
Optional authorized company override. Otherwise the company bound to the OAuth session or API key is used.
uuidHeader Parameters
Company UUID. Alternative to the companyId query parameter.
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/company/context"{
"exists": true,
"contextType": "startup",
"context": {
"name": "string",
"oneLiner": "string",
"description": "string",
"website": "string",
"founded": "string",
"headquarters": "string",
"industry": "string",
"stage": "string",
"teamSize": "string",
"businessModel": "string",
"targetCustomer": "string",
"competitors": "string",
"keyDifferentiator": "string",
"marketSegment": "string",
"currentFocus": "string"
}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Query Parameters
UUID of the company. Alternatively, pass as X-Company-Id request header.
uuidUUID of the initiative.
uuidHeader Parameters
Company UUID. Alternative to the companyId query parameter.
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/company/initiative-links?companyId=497f6eca-6276-4993-bfeb-53cbbbba6f08&initiativeId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"initiativeId": "7606e391-8c5d-463a-a1a2-2df1651c6df2",
"initiative": {
"name": "string"
},
"leadAccount": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"domain": "string",
"type": "string",
"stage": "string",
"investment_stage": "string"
},
"accounts": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"domain": "string",
"type": "string",
"stage": "string",
"investment_stage": "string"
}
],
"contacts": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65",
"name": "string",
"email": "string"
}
],
"relationCount": 0
}{
"error": "string",
"status": 0,
"details": {}
}API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/company/initiative-links" \ -H "Content-Type: application/json" \ -d '{ "initiativeId": "7606e391-8c5d-463a-a1a2-2df1651c6df2" }'{
"success": true,
"initiativeId": "7606e391-8c5d-463a-a1a2-2df1651c6df2",
"linksCreated": 0,
"linked": {
"leadAccountId": "251ebbff-f9c6-4452-b6be-50519a42068c",
"accountIds": [
"b75e4440-1cc9-49a6-8c9e-087e1aa69722"
],
"contactIds": [
"42c382fb-14d8-48d9-b3ff-0b7917436af9"
]
}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Query Parameters
UUID of the company. Alternatively, pass as X-Company-Id request header.
uuidHeader Parameters
Company UUID. Alternative to the companyId query parameter.
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/company/initiatives?companyId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"initiatives": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"slug": "string",
"name": "string",
"description": "string",
"status": "string",
"quarter": "string",
"owner": "string",
"children": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"slug": "string",
"name": "string",
"kind": "key_result",
"completed": true,
"owner": "string"
}
],
"executionTasks": [
{
"id": "string",
"title": "string",
"status": "backlog",
"owner": "string",
"sourceKind": "manual",
"sourceActionTitle": "string",
"position": 0,
"isVirtual": true
}
],
"linkedEntityCount": 0,
"sourceEntries": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"domain": "string",
"type": "string"
}
]
}
]
}{
"error": "string",
"status": 0,
"details": {}
}API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Path Parameters
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/company/initiatives/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"initiative": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"slug": "string",
"name": "string",
"description": "string",
"status": "string",
"quarter": "string",
"owner": "string",
"children": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"slug": "string",
"name": "string",
"kind": "key_result",
"completed": true,
"owner": "string"
}
],
"executionTasks": [
{
"id": "string",
"title": "string",
"status": "backlog",
"owner": "string",
"sourceKind": "manual",
"sourceActionTitle": "string",
"position": 0,
"isVirtual": true
}
],
"linkedEntityCount": 0,
"sourceEntries": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"domain": "string",
"type": "string"
}
]
},
"linkedEntities": [
{}
],
"firmsByDomain": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/company/initiatives/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "status": "planned" }'{
"success": true
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Path Parameters
uuidQuery Parameters
UUID of the company. Alternatively, pass as X-Company-Id request header.
uuidHeader Parameters
Company UUID. Alternative to the companyId query parameter.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/company/initiatives/497f6eca-6276-4993-bfeb-53cbbbba6f08/tasks?companyId=497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "title": "string" }'{
"task": {
"id": "string",
"title": "string",
"status": "backlog",
"owner": "string",
"sourceKind": "manual",
"sourceActionTitle": "string",
"position": 0,
"isVirtual": true
}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Path Parameters
uuidQuery Parameters
UUID of the company. Alternatively, pass as X-Company-Id request header.
uuidHeader Parameters
Company UUID. Alternative to the companyId query parameter.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/company/initiatives/497f6eca-6276-4993-bfeb-53cbbbba6f08/tasks?companyId=497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "taskId": "string", "status": "backlog" }'{
"task": {
"id": "string",
"title": "string",
"status": "backlog",
"owner": "string",
"sourceKind": "manual",
"sourceActionTitle": "string",
"position": 0,
"isVirtual": true
}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Query Parameters
UUID of the company. Alternatively, pass as X-Company-Id request header.
uuidHeader Parameters
Company UUID. Alternative to the companyId query parameter.
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/company/initiatives/refresh?companyId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"success": true,
"eventId": "string"
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Query Parameters
Knowledge item kind.
"artifact" | "document" | "stream"Knowledge item UUID.
uuidMaximum returned content characters.
8000500 <= value <= 20000UUID of the company. Alternatively, pass as X-Company-Id request header.
uuidHeader Parameters
Company UUID. Alternative to the companyId query parameter.
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/company/knowledge/read?kind=artifact&id=497f6eca-6276-4993-bfeb-53cbbbba6f08&companyId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"item": {
"kind": "artifact",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"content": "string",
"truncated": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"metadata": {}
}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Query Parameters
Search query.
Max results per surface.
101 <= value <= 25UUID of the company. Alternatively, pass as X-Company-Id request header.
uuidHeader Parameters
Company UUID. Alternative to the companyId query parameter.
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/company/knowledge/search?query=string&companyId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"artifacts": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"type": "string",
"content": "string",
"snippet": "string",
"created_at": "2019-08-24T14:15:22Z"
}
],
"documents": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"file_name": "string",
"document_type": "string",
"suggested_title": "string",
"summary": "string",
"snippet": "string",
"created_at": "2019-08-24T14:15:22Z"
}
],
"streams": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"entry_type": "string",
"content": "string",
"snippet": "string",
"created_at": "2019-08-24T14:15:22Z"
}
],
"totalCount": 0
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
BearerAuth API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Query Parameters
UUID of the company. Alternatively, pass as X-Company-Id request header.
uuidOnly the latest live actuals are available on this endpoint. Use /api/metrics/series for history.
"current""current"Header Parameters
Company UUID. Alternative to the companyId query parameter.
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/company/metrics?companyId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"metrics": {
"mrr": 0,
"arr": 0,
"runway": 0,
"headcount": 0,
"customer_count": 0,
"churn_rate": 0,
"mrr_growth": 0,
"burn": 0,
"nrr": 0,
"ltv": 0,
"cac": 0,
"ltv_cac_ratio": 0,
"property1": 0,
"property2": 0
},
"source": "company_metrics_actual",
"mode": "live_actual",
"currency": "string",
"periodKey": "string",
"period": "string",
"asOf": "2019-08-24T14:15:22Z"
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
BearerAuth API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Query Parameters
UUID of the company. Alternatively, pass as X-Company-Id request header.
uuid"all""all" | "products" | "organization" | "budgets""markdown""markdown" | "json"Header Parameters
Company UUID. Alternative to the companyId query parameter.
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/company/structure?companyId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
BearerAuth API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Header Parameters
Company UUID. Alternative to the companyId query parameter.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/api/company/structure" \ -H "Content-Type: application/json" \ -d '{ "markdown": "string" }'{
"success": true
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
BearerAuth API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Query Parameters
UUID of the company. Alternatively, pass as X-Company-Id request header.
uuidSlug identifier of the structure node.
^[a-z0-9-]+$Comma-separated list of data to include: decisions, metrics, entries.
"decisions"Header Parameters
Company UUID. Alternative to the companyId query parameter.
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/company/structure/node?companyId=497f6eca-6276-4993-bfeb-53cbbbba6f08&node_id=string"{}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}